/*** Macro Parameters ***/
/*** Do not include file extensions for any dataset names ***/
%let RUNID=r01;
%let PERIODIDSTART=1; 
%let PERIODIDEND=1;   
%let ANALYSIS=PS;
%let MONITORINGFILE=wp001_monitoring; 
%let USERSTRATA=wp001_type2strata;
%let COMBOFILE=;
%let COHORTFILE=wp001_cohort;
%let COHORTCODES=wp001_cohortcodes; 
%let INCLUSIONCODES=wp001_exclusion;	
%let STOCKPILINGFILE=;
%let RUN_ENVELOPE=; 
%let FREEZEDATA=N;
%let ZIPFILE=;
%let LABSCODEMAP=; 
%let SURVEILLANCEMODE=;
%let DISTINDEX =;

*Type files;
%let TYPE1FILE=;
%let TYPE2FILE=wp001_type2;
%let TYPE3FILE=;
%let T3METADATA=;
%let TYPE4FILE=;
%let PREGDUR=;
%let TYPE5FILE=;
%let TYPE6FILE=;

*Baseline Table files;
%let COVARIATECODES=wp001_covariates;
%let UTILFILE=; 	
%let COMORBFILE=; 
%let DRUGCLASSFILE=; 
%let PROFILE = ; 
%let MFUFILE = ;

*Additional analyses files: multiple events, overlap, 
 adherence, ITS, switching, concomittant episodes;
%let MULTEVENTFILE=;
%let MULTEVENTFILE_ADHERE=;
%let OVERLAPFILE=;
%let OVERLAPFILE_ADHERE=;
%let ITSFILE = ;
%let CONCFILE=;
%let TREATMENTPATHWAYS=;

*Mother-Infant Cohort file;
%let MICOHORTFILE=;

** PSA Parameters ** ;
%let COMPARISON = wp001_psm; 
%let COVARIATES_CONSIDERED= ;
%let COVARIATES_SELECTED= ;
%let RANKING= ;
%let ZERO_CELL_CORR= ;  
%let PERCENTILES=10;
%let DIAGNOSTICS=;

** Multiple Factor Matching **;
%let MFMFILE = ; 

** Matching Parameters **;
%let INDLEVEL=; 
%let UNCONDITIONAL=;
%let ANALYTICSUBGROUPS=;

** Macro Call RUN 1 ** ;

%include "&sasmacr.runcida.sas";

/** Report Macro Parameters **/
%let CREATEREPORT_TYPE = 2;
%let CREATEREPORT_T1T2_FILE = createreport;
%let CREATEREPORT_T5_FILE = ;

%include "&reportmacr.runreport.sas";


